Add a New Agent
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/teams/{team_id}/team_members \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"user_ids": [
1
]
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_ids: [1]})
};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/teams/{team_id}/team_members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/teams/{team_id}/team_members"
payload = { "user_ids": [1] }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"id": 123,
"account_id": 123,
"availability_status": "available",
"auto_offline": true,
"confirmed": true,
"email": "<string>",
"available_name": "<string>",
"name": "<string>",
"role": "agent",
"thumbnail": "<string>"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Teams
Add a New Agent
Add a new Agent to Team
POST
/
api
/
v1
/
accounts
/
{account_id}
/
teams
/
{team_id}
/
team_members
Add a New Agent
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/teams/{team_id}/team_members \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"user_ids": [
1
]
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_ids: [1]})
};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/teams/{team_id}/team_members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/teams/{team_id}/team_members"
payload = { "user_ids": [1] }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"id": 123,
"account_id": 123,
"availability_status": "available",
"auto_offline": true,
"confirmed": true,
"email": "<string>",
"available_name": "<string>",
"name": "<string>",
"role": "agent",
"thumbnail": "<string>"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The ID of the team to be updated
Body
application/json
IDs of users to be added to the team
Example:
[1]
Response
Success
The availability status of the agent.
Available options:
available, busy, offline Whether the availability status of agent is configured to go offline automatically when away.
Whether the agent has confirmed their email address.
The email of the agent
The available name of the agent
The name of the agent
The role of the agent
Available options:
agent, administrator The thumbnail of the agent